<template>
    <div class="app-container">

        <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" label-width="68px">
            <el-form-item label="项目名称" prop="tjh">
                <el-input v-model="queryParams.tjh" placeholder="请输入项目名称" clearable />
            </el-form-item>
            <el-form-item>
                <el-button type="primary" size="mini" @click="handleManual">查询</el-button>
                <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
            </el-form-item>
        </el-form>
        <el-table border v-loading="loading" :data="partList" height="350">
            <el-table-column type="selection" width="40px" align="center" />
            <el-table-column label="序号" align="center" prop="newID" width="50px" />
            <el-table-column label="项目名称" align="center" prop="groupingName" />
        </el-table>


        <el-dialog :title="title" :visible.sync="openOne" width="1400px" append-to-body :close-on-click-modal="false">
            <el-row :gutter="24">
                <el-col :span="15" :xs="24">
                    <el-form :model="form" ref="queryForm" size="small" :inline="true" label-width="46px"
                        style="height: 35px" @submit.native.prevent>
                        <el-form-item label="标本类型">
                            <el-input ref="inputName" v-model="form.price" placeholder="标本类型" clearable
                                style="width: 140px" />
                        </el-form-item>
                        <el-form-item>
                            <el-button icon="el-icon-refresh" size="mini" @click="resetQuerys">重置</el-button>
                        </el-form-item>
                    </el-form>
                    <el-table border v-loading="loading" :data="OnenewpacName" :row-class-name="tableRowClassName"
                        height="478">
                        <el-table-column label="原价" align="center" prop="proPrice" width="85"></el-table-column>
                        <el-table-column label="操作" align="center" width="85">
                            <template slot-scope="scope">
                                <el-button size="mini" type="text" icon="el-icon-delete"
                                    @click="handledbelete(scope.row)">删除</el-button>
                            </template>
                        </el-table-column>
                    </el-table>
                </el-col>

                <el-col :span="7" :xs="24">
                    <el-form :model="queryParams1" ref="queryForm" size="small" :inline="true" v-show="showSearch"
                        label-width="68px" @submit.native.prevent>


                        <el-form-item label="项目名称" prop="proName">
                            <el-input ref="inputName" v-model="queryParams1.proName" placeholder="请输入项目名称" clearable
                                @keyup.enter.native="handleSearchFor" style="width: 140px" />
                        </el-form-item>
                        <el-form-item>
                            <el-button type="primary" icon="el-icon-search" size="mini"
                                @click="handleSearchFor">搜索</el-button>
                        </el-form-item>
                    </el-form>
                    <el-table border v-loading="loading" ref="tre" :data="Treedata"
                        @selection-change="handleChangesingle" height="478" style="width: 100%">
                        <el-table-column type="selection" width="40px" align="center" />
                        <el-table-column label="项目名称" align="center" prop="proName" width="230px" />
                        <el-table-column label="项目价格/元" align="center" prop="proPrice" width="100px" />
                    </el-table>
                </el-col>
            </el-row>
            <div slot="footer" class="dialog-footer1">
                <el-button type="primary" @click="submitrighr">确认并保存</el-button>
                <el-button @click="cancell">取 消</el-button>
            </div>
        </el-dialog>
    </div>
</template>

<script>
// import {  } from "@/api/system/menu";
export default {
    name: "Part",
    //   dicts: [
    //     "",
    //   ],
    data() {
        return {
            loading: false,
            openOne: false,
            partList: [],
            Treedata: [],
            queryParams: {

            },
            queryParams1: {

            },
            form: {

            },

        }
    },
    created() {
    },
    methods: {
        getList() {

        },
        resetQuery() {
            this.resetForm("queryForm");
        },
        handleManual() {

        },
        handleChangesingle(selection) {

        },
        cancell() {
            this.openOne = false
        },
        submitrighr() {

        },
    }
};
</script>